singularity(1)

NAME

singularity-config-fakeroot - Manage fakeroot user mappings entries (root user only)

SYNOPSIS

singularity config fakeroot

DESCRIPTION

The config fakeroot command allow a root user to add/remove/enable/disable fakeroot
  user mappings.

OPTIONS

-a, --add[=false]
    add a fakeroot mapping entry for a user allowing him to use the fakeroot feature

-d, --disable[=false]
    disable a user fakeroot mapping entry preventing him to use the fakeroot feature (the user mapping must be present)

-e, --enable[=false]
    enable a user fakeroot mapping entry allowing him to use the fakeroot feature (the user mapping must be present)

-h, --help[=false]
    help for fakeroot

-r, --remove[=false]
    remove the user fakeroot mapping entry preventing him to use the fakeroot feature

EXAMPLE

      To add a fakeroot user mapping for vagrant user:
      $ singularity config fakeroot --add vagrant

      To remove a fakeroot user mapping for vagrant user:
      $ singularity config fakeroot --remove vagrant

      To disable a fakeroot user mapping for vagrant user:
      $ singularity config fakeroot --disable vagrant

      To enable a fakeroot user mapping for vagrant user:
      $ singularity config fakeroot --enable vagrant

SEE ALSO

singularity-config(1)

HISTORY

1-Apr-2024 Auto generated by spf13/cobra